function [Ex,Ey]= str(x1,x2,x3,x4,y1,y2,y3,y4)
    u1=x1-x1(1);
    u2=x2-x2(1);
    u3=x3-x3(1);
    u4=x4-x4(1);
    v1=y1-y1(1);
    v2=y2-y2(1);
    v3=y3-y3(1);
    v4=y4-y4(1);
    du_dx=(u1-u2+u4-u3)./(x1-x2+x4-x3)
    dv_dx=(v1-v2+v4-v3)./(x1-x2+x4-x3)
    Ex=du_dx+(0.5*(du_dx.^2+dv_dx.^2));
    dv_dy=(v1-v4+v2-v3)./(y1-y4+y2-y3);
    du_dy=(u1-u4+u2-u3)./(y1-y4+y2-y3);
    Ey=dv_dy+(0.5*(dv_dy.^2+du_dy.^2));
endfunction
